# EOSC LOT3 ownCloud debugging

Image with oidc-agent installed and rclone preconfigured with EOSC ownCloud.

## Usage

[Launch OIDC agent](https://indigo-dc.gitbook.io/oidc-agent/user/oidc-agent/start) or enable [OIDC agent forwarding](https://indigo-dc.gitbook.io/oidc-agent/configuration/forwarding).

Setup "eosc-test" and "eosc-stage" accounts in OIDC agent. For example (client id and secret is needed):

    oidc-gen --pub --issuer https://proxy.testing.eosc-federation.eu --scope "openid offline_access profile email" eosc-test
    oidc-gen --pub --issuer https://proxy.staging.eosc-federation.eu --scope "openid offline_access profile email" eosc-stage

Launch locally:

    f=/tmp/oidc-forward-$RANDOM; docker run -it --rm --name eosc-rclone --security-opt label=disable -v $OIDC_SOCK:$f -e OIDC_SOCK=$f eosc-rclone-debugging:latest \
        rclone ls owncloud-test:/
